package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimPlaceContentChild;


/**
*  service接口类
*/
public interface AimPlaceContentChildService{

    List<AimPlaceContentChild> getAimPlaceContentChildList(AimPlaceContentChild record);

    List<AimPlaceContentChild> getAimPlaceContentChildByPage(Page page, AimPlaceContentChild record);

    AimPlaceContentChild getAimPlaceContentChildById(String id);

    AimPlaceContentChild getAimPlaceContentChild(AimPlaceContentChild record);

    boolean createAimPlaceContentChild(AimPlaceContentChild record);

    boolean deleteAimPlaceContentChild(AimPlaceContentChild record);

    boolean updateAimPlaceContentChild(AimPlaceContentChild record);
}

